This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours

Bug 499295

Summary: Open Office hangs when attempting to write a file to an NFS share
Product: [Fedora] Fedora Reporter: Leslie Brooks <no_cats2000>
Component: nfs-utilsAssignee: Steve Dickson <steved>
Status: CLOSED WONTFIX QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: medium Docs Contact:
Priority: low    
Version: 11CC: caolanm, dtardon, dwlegg, steved
Target Milestone: ---   
Target Release: ---   
Hardware: All   
OS: Linux   
Whiteboard:
Fixed In Version: Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2010-06-28 08:23:26 EDT Type: ---
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Attachments:
Description Flags
rpcinfo on client
none
rpcinfo on server
none
a standalone test case
none
tcpdump of traffic on client's eth0 when running the test case none

Description Leslie Brooks 2009-05-05 20:44:31 EDT
Description of problem: Whenever I attempt to write a file to an NFS share from inside Open Office, it hangs and I have to force-quit the application.  I can save the file locally and copy it to the NFS share using the file browser.  The directories on the NFS share are all world-writeable and have world execute permission.


Version-Release number of selected component (if applicable):


How reproducible:  Every time.


Steps to Reproduce:
1. Launch Open Office, create or open a file
2. Click 'Save As' and choose a mounted NFS share
3.
  
Actual results: Open Office becomes unresponsive.


Expected results: It should save the file and be happy.


Additional info: This happens on my 32-bit Fedora 10 system (OO V3.0.1) and on my 64-bit Fedora 11 system (OO 3.1.0).  On Fedora 11 it also hangs if I attempt to open a file that is on an NFS share.
Comment 1 David Tardon 2009-05-06 03:19:56 EDT
I see the problem in openoffice.org-core-3.1.0-11.2 , but only with my own NFS share, so it could be a misconfiguration issue. In any case, it goes away when I unset SAL_ENABLE_FILE_LOCKING (in /usr/lib64/openoffice.org3/program/soffice).
Comment 2 David Tardon 2009-05-12 08:13:09 EDT
So it's a problem with NFS locking--it always gets stuck in fcntl(F_SETLK, ...). 

How to reproduce:
1. add a rw share to /etc/exports on a NFS server
2. start nfs
3. go to client, mount the share (without specifying any options)
4. compile the attached test program
5. run the test program
Comment 3 David Tardon 2009-05-12 08:14:13 EDT
Created attachment 343575 [details]
rpcinfo on client
Comment 4 David Tardon 2009-05-12 08:14:47 EDT
Created attachment 343576 [details]
rpcinfo on server
Comment 5 David Tardon 2009-05-12 08:15:26 EDT
Created attachment 343577 [details]
a standalone test case
Comment 6 David Tardon 2009-05-12 08:18:10 EDT
Created attachment 343578 [details]
tcpdump of traffic on client's eth0 when running the test case
Comment 7 Bug Zapper 2009-06-09 11:13:46 EDT
This bug appears to have been reported against 'rawhide' during the Fedora 11 development cycle.
Changing version to '11'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 8 Steve Dickson 2009-06-11 13:51:21 EDT
Looking at the trace from Comment #6, I would guess the hang is 
coming from the:
   ICMP host verda-stelo.englab.brq.redhat.com unreachable - admin prohibited
Comment 9 David W. Legg 2009-11-14 16:14:43 EST
Just to say that I get a very similar problem with Fedora 12 (being released next week) as an NFS client of a Fedora 11 box (fully up to date).  The F12 box is 32 bit; the NFS server is 64 bit F11.

However, I get a message from OOo:
openoffice.org-writer-3.1.1-19.14.fc12.i686
which says:

Document file /mnt/machine/blah.odt is locked for editing by: UNknown User.

When I comment out the lines:

SAL_ENABLE_FILE_LOCKING=1
export SAL_ENABLE_FILE_LOCKING

in /usr/lib/openoffice.org3/program/soffice it works (dangerously) around the problem.

So, this should probably be marked as *F12* or Rawhide or both now.
Comment 10 David W. Legg 2009-11-16 15:03:10 EST
Just to confirm that this also manifests itself with a 64 bit FC11 box with an NFS mount from another 64 bit FC11 box.

Looks like FC10,11,12 and rawhide.
Comment 11 Steve Dickson 2009-11-16 15:54:09 EST
Hmm... just to be clear, when you turn off file locking everything the hang
goes away??
Comment 12 David W. Legg 2009-11-17 15:11:58 EST
I don't get the hang symptoms, I get an error message about the file being locked for editing by an unknown user - see comment #9 above.

If you think this is a separate bug, I could raise it in a fresh bugzilla report,
but the fact that bodging SAL_ENABLE_FILE_LOCKING works around the problem may mean that it is really the same bug, or a close relative.
Comment 13 Bug Zapper 2010-04-27 10:08:59 EDT
This message is a reminder that Fedora 11 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 11.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '11'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 11's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 11 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 14 Bug Zapper 2010-06-28 08:23:26 EDT
Fedora 11 changed to end-of-life (EOL) status on 2010-06-25. Fedora 11 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.